#ifndef MUSICLIBRARYBUILDER_H
#define MUSICLIBRARYBUILDER_H

#include "musiclibrarybuilder_global.h"
#include "musiclibrary.h"

/**
 * Builds an example music library
 */
class MUSICLIBRARYBUILDERSHARED_EXPORT MusicLibraryBuilder {
public:

    /**
     * Builds music library
     */
    static MusicLibrary *build(QObject *parent = 0);

private:

    /**
     * No need to allocate
     */
    MusicLibraryBuilder();
};

#endif // MUSICLIBRARYBUILDER_H
