#ifndef MUSICOBJECTPRIVATE_H
#define MUSICOBJECTPRIVATE_H

#include "musicobject.h"

class MusicLibraryPrivate;

class MusicObjectPrivate
{
public:
    MusicObjectPrivate(MusicObject *publicPtr, MusicLibraryPrivate *library);
    MusicObjectPrivate(MusicObject *publicPtr, MusicObjectPrivate *parent);
    virtual ~MusicObjectPrivate();

    void setName(const QString &n);
    QString getName() const;

    MusicObject *publicPtr() { return pPtr; }

protected:
    MusicObject *pPtr;
    MusicLibraryPrivate *library;
    QString name;
};

#endif // MUSICOBJECTPRIVATE_H
