#include "musicobject.h"
#include "musicobjectprivate.h"
#include "musiclibraryprivate.h"

MusicObject::MusicObject(QObject *parent) : QObject(parent)
{
}

MusicObject::~MusicObject()
{
}

void MusicObject::setName(const QString &name)
{
    pPtr->name = name;
    pPtr->library->changed(this);
}

QString MusicObject::name() const
{
    return pPtr->name;
}
